* example 37;

* NYSIIS coding - SOUNDEX alternative;

options sasautos=("k:\sas\macros","!sasroot\core\sasmacro","!sasroot\graph\sasmacro");

data names;
length sndxb $4;
input name : $15. @@;
sndxa=soundex(name);
sndxb=translate(sndxa,'0',' ');
%nysiis(name,nysiis_code);
datalines;
SMITH SMYTHE O'HENRY OHENRY ZDEB ZDYB SOO SU CLINTON CLINTEN
WASHINGTON WOSHINGTEN TERRI TERRY JACKSON JAKSON SCHMIDT SCHMIT KALE CALE
;
run;

title 'EXAMPLE 37';
proc contents data=names;
ods select variables;
run;

proc print data=names noobs;
var name sndxa sndxb nysiis_code;
run;

proc datasets lib=work nolist;
delete names;
quit;
